BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 02-17-2009, 12:20 PM   #1 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default Trying to do a cutover, db issues

Please Login to Remove!

Got a weird issue.. I took over as BB admin for my company when we were running a 4.0 bes.

we successfully updated the 4.0 bes to 4.1.6 but we're having some issues with the BES now and need to re-do the whole bes following the cutover document.

Problem 1. When we do a full install of 4.1, it's telling us that our DB is a 3.6 DB and needs to be manually upgraded.

Question. If we're already running 4.1, how can the DB be 3.6? I would have assumed the previous bes admin would of manually upgraded the db following these steps,

View Document

That article basically explains how to upgrade a 3.6 install to 4.1 including a DB migration.

Since we're already running 4.1, shouldn't it already be a 4.1 DB?? Since that article lists the steps for 3.6 (which we don't have installed), how can I go about upgrading my DB to 4.1?
__________________
Your lack of planning is not my emergency.
Offline  
Old 02-17-2009, 04:43 PM   #2 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

*tumble weed blows by*

that article says it's a phased upgrade. That means I guess we install 3.6, then upgrade the software from that.. there's got to be a way to upgrade the DB so that we can just install the 4.X and go from there..

EDIT: I haven't tried the BESmigration.exe tool yet.. I will try this tonight.. I just am wondering if you install 3.6, then upgrade to 4.0, the previous BES admin would of had to migrate it already right?
__________________
Your lack of planning is not my emergency.

Last edited by sniffs : 02-17-2009 at 05:05 PM.
Offline  
Old 02-18-2009, 05:57 AM   #3 (permalink)
BlackBerry Extraordinaire
 
Join Date: Aug 2008
Location: Basel
Model: 9780
PIN: N/A
Carrier: Swisscom
Posts: 1,579
Post Thanks: 5
Thanked 119 Times in 116 Posts
Default

If you have done an in-place upgrade from 4.0 to 4.1, if everything has worked correctly, the DB has been upgraded as well. I don't think you need the document you are refering to as you are on 4.1 already. The correct document is

How to perform a knife-edge cutover for BlackBerry Enterprise Server software versions 4.0 and 4.1
Offline  
Old 02-18-2009, 09:50 AM   #4 (permalink)
New Member
 
Join Date: Sep 2005
Model: 9530
Carrier: VZW
Posts: 14
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

I had the same problem, freakinvibe is right about the knife-edge cut over and it works well - I actually did this last night because our server failed.

What you need to do seeing that you have already updated your database to 4.1.6 is to contact support and get a link to the FULL version download of the 4.1.6 software and not just the upgrade which is posted on the Blackberry Site.

I tried to do the same as you and failed so i called support and they gave me the link to the software (they change the password so you can't give it out).

I hope this helps!
Offline  
Old 02-18-2009, 09:57 AM   #5 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Z30
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,726
Post Thanks: 272
Thanked 290 Times in 274 Posts
Default

can alway get the trial version for the full install files.

I have done this to get the remote BBmanager files with out calling support.
__________________
irony : many old timer posters have de-evolved into the trolls they once fought
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Passport, Z30, Z10 and Q10
Online  
Old 02-18-2009, 10:02 AM   #6 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

When we install any 4.X version of the BES, it's saying our DB is a pre-3.5 DB. We've tried 4.0.7 and 4.1.6 full installs.

We tried to use the besmigration.exe tool last night and it kept saying that it was successfully upgraded, but when we would try the install again, it would say the same thing, that the DB is a pre-3.5 DB.
__________________
Your lack of planning is not my emergency.
Offline  
Old 02-18-2009, 10:04 AM   #7 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

That cutover doc says to use the same server name.. We're actually changing server names from CAserver1 to NVserver1 because we've moved datacenters. I think this could be causing problems also.. we're not exactly cutting over...

At this point, I think what we need to do is install the 120 day trial, and slowly migrate everyone off the old/borked BES to the new trial BES and then just purchase a 2nd SRP. We've dangerously close to using all of the agents on our current BES and we'll need a 2nd BES pretty shortly here..
__________________
Your lack of planning is not my emergency.
Offline  
Old 02-18-2009, 10:11 AM   #8 (permalink)
BlackBerry Extraordinaire
 
CanuckBB's Avatar
 
Join Date: Feb 2006
Location: YYZ
Model: 9900
Carrier: Rogers
Posts: 1,183
Post Thanks: 0
Thanked 2 Times in 2 Posts
Default

The server name refers to the BES instance, not the Windows name.
Offline  
Old 02-18-2009, 10:25 AM   #9 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Our BES instance and server name are the same unfortunately.
__________________
Your lack of planning is not my emergency.
Offline  
Old 02-18-2009, 01:39 PM   #10 (permalink)
Talking BlackBerry Encyclopedia
 
sniffs's Avatar
 
Join Date: May 2008
Model: 8310
PIN: N/A
Carrier: AT&T
Posts: 230
Post Thanks: 1
Thanked 0 Times in 0 Posts
Default

Ok, so installing the NEW BES, on a NEW VM, in the new NV data center.. go to the part where it installs the MDS Integration Service and getting a pop that says

"An attempt to upgrade the database was unsuccessful. An error occurred while executing an SQL statement."

I see 4 MDSS db's.. mdss, mdss_dis, mdss_dis_created and mdss_created

nothing on the internets come up with _created?
__________________
Your lack of planning is not my emergency.
Offline  
Old 02-18-2009, 01:46 PM   #11 (permalink)
BlackBerry Elite
 
knottyrope's Avatar
 
Join Date: Jan 2008
Location: Massachusetts
Model: Z30
OS: 10.2.1
PIN: t of blood has been taken
Carrier: AT&T-US with I dee ten tee errors
Posts: 6,726
Post Thanks: 272
Thanked 290 Times in 274 Posts
Default

maybe time to call RIM
__________________
irony : many old timer posters have de-evolved into the trolls they once fought
I am on http://supportforums.blackberry.com
BES 10 running sweet for my Passport, Z30, Z10 and Q10
Online  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.